Search:     Advanced search

Eclipse 4.4 Crashes When Using the TestTrack Plug-in on Linux

Article ID: 528  |  Last updated: 29 Dec, 2014


Eclipse 4.4 crashes when using the TestTrack plug-in on some Linux distributions.


There is a version incompatibility issue with GTK3 and Eclipse 4.4. See Eclipse Bug 430736 for more information.


Use one of the following methods to specify that Eclipse should use GTK2 instead of GTK3.

  • Enter export SWT_GTK3=0 to set the environment variable.
  • Use the --launcher.GTK_version directive in the eclipse.ini file and set the version to 2. See the Eclipse documentation for information about the ini file format.

You can also run Eclipse as root or using the sudo command to prevent it from crashing.

Article ID: 528  |   Last updated: 29 Dec, 2014
Linux Eclipse

Prev   Next
TestTrack Microsoft Team Foundation Server Integration     Surround SCM Server Not Found When Configuring Integration in...